Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159814 - x86-64 PTRACE_SETOPTIONS does not support most option flags
Summary: x86-64 PTRACE_SETOPTIONS does not support most option flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-08 09:26 UTC by Roland McGrath
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:17:28 UTC


Attachments (Terms of Use)
untested patch to fix it (deleted)
2005-06-08 09:26 UTC, Roland McGrath
no flags Details | Diff
test case (deleted)
2005-07-04 22:43 UTC, Roland McGrath
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Roland McGrath 2005-06-08 09:26:41 UTC
In the RHEL3 kernel on x86_64, PTRACE_SETOPTIONS only supports the
PTRACE_O_TRACESYSGOOD flag, not the others.  The generic code would be fine if
it were used.  The arch/x86_64/kernel/ptrace.c code just needs not to override
it for that case.

Comment 1 Roland McGrath 2005-06-08 09:26:42 UTC
Created attachment 115213 [details]
untested patch to fix it

Comment 2 Ernie Petrides 2005-06-09 00:21:28 UTC
Patch posted for review on 8-Jun-2005.

Comment 4 Ernie Petrides 2005-06-15 01:02:30 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.8.EL).


Comment 7 Roland McGrath 2005-07-04 22:43:36 UTC
Created attachment 116336 [details]
test case

There is no real-world test case because I punted using the features that were
broken in the kernel.  I've whipped up this simple contrived test case.

Comment 11 Ernie Petrides 2005-08-02 21:03:12 UTC
Steffen, that Issue Tracker report has nothing to do with this bug.

Please unlink BZ 159814 from IT 53971.

Comment 14 Red Hat Bugzilla 2005-09-28 15:17:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.